package intrinsic.mx.rpc.events;

public class InvokeEvent extends intrinsic.mx.rpc.events.AbstractEvent {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String INVOKE = "invoke";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public InvokeEvent() {
}

public InvokeEvent(String arg0) {
}

public InvokeEvent(String arg0, boolean arg1) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.AsyncToken arg3) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.AsyncToken arg3, intrinsic.mx.messaging.messages.IMessage arg4) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.InvokeEvent createEvent();
public static native intrinsic.mx.rpc.events.InvokeEvent createEvent(intrinsic.mx.rpc.AsyncToken arg0);
public static native intrinsic.mx.rpc.events.InvokeEvent createEvent(intrinsic.mx.rpc.AsyncToken arg0, intrinsic.mx.messaging.messages.IMessage arg1);

/** Methods */
public native String toString();
public native Object clone();

}
